Ticket #30210

開発スナップショットがインストールに失敗する

Open Date: 2012-11-28 20:03 Last Update: 2013-05-09 15:18

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

開発スナップショット jpdev121127a が Windows XP sp3 で下記のようにインストール失敗する現象をご報告いただき、こちらでも確認しました。

下記のログに関する操作手順:

  • launcher を実行し、ライセンスに同意して、動作を継続
  • NVDA メニューの 日本語版の説明を開こうとするとエラー
  • NVDA メニューのインストールを実行すると、最後にエラー
INFO - nvda (19:57:04):
Starting NVDA
INFO - core.main (19:57:05):
Config dir: C:\DOCUME~1\NISHIM~1\LOCALS~1\Temp\nszC.tmp\app\userConfig
INFO - core.main (19:57:05):
NVDA version jpdev121127a
INFO - core.main (19:57:05):
Using Windows version sys.getwindowsversion(major=5, minor=1, build=2600, platform=2, service_pack='Service Pack 3')
INFO - core.main (19:57:05):
Using Python version 2.7.3 (default, Apr 10 2012, 23:31:26) [MSC v.1500 32 bit (Intel)]
INFO - core.main (19:57:05):
Using comtypes version 0.6.2
INFO - synthDrivers.jtalk._nvdajp_jtalk.initialize (19:57:08):
jt_dll C:\DOCUME~1\NISHIM~1\LOCALS~1\Temp\nszC.tmp\app\synthDrivers\jtalk\libopenjtalk.dll
INFO - synthDriverHandler.setSynth (19:57:09):
Loaded synthDriver nvdajp_jtalk
INFO - core.main (19:57:09):
Using wx version 2.8.12.0 (msw-unicode)
INFO - braille.initialize (19:57:09):
Using liblouis version 2.5.1
INFO - braille.BrailleHandler.setDisplayByName (19:57:09):
Loaded braille display driver noBraille, current display has 0 cells.
WARNING - core.main (19:57:09):
Java Access Bridge not available
WARNING - core.main (19:57:09):
UIA not available
INFO - core.main (19:57:09):
NVDA initialized
INFO - config.save (19:57:17):
Configuration saved
ERROR - unhandled exception (19:57:21):
Traceback (most recent call last):
  File "gui\__init__.pyc", line 379, in <lambda>
  File "gui\__init__.pyc", line 37, in openDocFileAsHTA
  File "shutil.pyc", line 73, in copyfile
TypeError: coercing to Unicode: need string or buffer, NoneType found
WARNING - RPC process 3876 (nvda_slave.exe) (19:59:24):
installer._deleteKeyAndSubkeys:
Error deleting registry key
Traceback (most recent call last):
  File "installer.pyc", line 266, in _deleteKeyAndSubkeys
WindowsError: [Error 6] ハンドルが無効です。
WARNING - RPC process 3876 (nvda_slave.exe) (19:59:24):
installer._deleteKeyAndSubkeys:
Error deleting registry key
Traceback (most recent call last):
  File "installer.pyc", line 266, in _deleteKeyAndSubkeys
WindowsError: [Error 6] ハンドルが無効です。
WARNING - RPC process 3876 (nvda_slave.exe) (19:59:24):
installer._deleteKeyAndSubkeys:
Error deleting registry key
Traceback (most recent call last):
  File "installer.pyc", line 266, in _deleteKeyAndSubkeys
WindowsError: [Error 6] ハンドルが無効です。
WARNING - RPC process 3876 (nvda_slave.exe) (19:59:24):
installer._deleteKeyAndSubkeys:
Error deleting registry key
Traceback (most recent call last):
  File "installer.pyc", line 266, in _deleteKeyAndSubkeys
WindowsError: [Error 6] ハンドルが無効です。
WARNING - RPC process 3876 (nvda_slave.exe) (19:59:24):
installer._deleteKeyAndSubkeys:
Error deleting registry key
Traceback (most recent call last):
  File "installer.pyc", line 266, in _deleteKeyAndSubkeys
WindowsError: [Error 6] ハンドルが無効です。
ERROR - RPC process 3876 (nvda_slave.exe) (20:00:00):
nvda_slave.main:
slave error
Traceback (most recent call last):
  File "nvda_slave.pyw", line 27, in main
  File "installer.pyc", line 347, in install
  File "installer.pyc", line 167, in registerInstallation
  File "installer.pyc", line 46, in createShortcut
  File "comtypes\client\lazybind.pyc", line 199, in __setattr__
  File "comtypes\automation.pyc", line 664, in _invoke
COMError: (-2147352571, '\x8e\xed\x97\xde\x82\xaa\x88\xea\x92v\x82\xb5\x82\xdc\x82\xb9\x82\xf1\x81B', (None, None, None, 0, None))
ERROR - gui.installerGui.doInstall (20:00:01):
Installation failed: 1

Ticket History (3/9 Histories)

2012-11-28 20:03 Updated by: nishimoto
  • New Ticket "Windows XP でインストールに失敗する" created
2012-11-28 21:40 Updated by: nishimoto
Comment

他の Windows XP sp3 マシンではインストールできているというご報告をいただきました。

なお、上記の報告をしたマシンは、インストールがエラー終了するのですが、インストールそのものは完了しており、起動も正常にできました。

このエラーと類似する現象は下記の本家チケットでも報告されていますが、まだ対処はされていません。

http://www.nvda-project.org/ticket/2747

また、日本語チームでも以前同じようなエラーが発生しており、そのときには「デジタル署名に関する実験の影響ではないか?」という状況で、バイナリーを再構築したら解決しました。

当面はこまめにインストーラーの動作確認を行なうようにします。

2012-11-28 22:14 Updated by: nishimoto
Comment

ドキュメントを開こうとするとエラーが発生する問題は、launcher の documentation フォルダに本当にファイルが入っていないことが分かりました。

scons user_docs launcher のように明示的に user_docs を指定すれば回避できるようです。

この問題と「WindowsError: [Error 6] ハンドルが無効です。」エラーは関係ないかも知れません。

2012-12-01 09:01 Updated by: None
2013-02-05 15:33 Updated by: nishimoto
Comment

本件はいったんクローズしますが、未解決でしたら再度ご指摘ください。

もしかすると下記のチケットに関する本家の 2013.1 にむけた修正とも関係あるかも知れません。

#28949 ユーザー名が特定の日本語文字を含むときにNVDAインストーラーが起動しない

2013-04-10 22:09 Updated by: nishimoto
  • Status Update from Closed to Open
Comment

開発スナップショットでこの現象がまた発生しているので再オープンします。

関係ありそうな本家チケット http://community.nvda-project.org/ticket/2869

MMC がバックグラウンドで動いていないか、インストールする前に再起動した方がよい、という話 http://www.laxdal.org/node/30 http://support.microsoft.com/kb/823942

試しているのですが、やはりインストールの最後に "Installation failed: 1" が出ます。 ただし、エラーが出てもインストールはできていて、ちゃんと使えます。

2013-04-11 00:05 Updated by: nishimoto
Comment

Windows 7 (32bit) でもインストール時のエラーが起きました。

署名つきビルドの作業をしたあとで署名なしビルドをすると、この現象が起きるのかも知れません。

正しい回避方法かどうかわかりませんが scons -c に加えて .sconsign.dblite を削除して scons しなおすとこの現象が起きないインストーラーになったようです。

2013-04-13 19:56 Updated by: nishimoto
  • Ticket Close date is changed to 2013-04-13 19:56
  • Status Update from Open to Closed
2013-05-09 15:18 Updated by: nishimoto
  • Summary Updated
Comment

Windows 7 64ビットで、開発スナップショットがインストールに失敗する現象を確認しました。

いただいたログは下記のエラーを含んでおり、本件の現象と共通すると思われます。

タイミングから考察すると、本家が installer.py 関連の修正(本家のチケット 3181)を行い、それをマージしたことがきっかけになっています。

しかし本家の修正そのものには不具合はなく、日本語版の開発スナップショットをビルドするときに何かの失敗を引き起こていると思われます。

このインストールの失敗そのものも、環境に依存しているようで、確実には再現できません。

本チケットでは scons -c に加えて .sconsign.dblite を削除してビルドしなおす、という対策を確認していますが、今回はそれに加えて、scons で -j4 オプション(並列処理でビルドを行う)を外すことが有効でした。

Traceback (most recent call last):
  File "nvda_slave.pyw", line 29, in main
  File "installer.pyc", line 366, in install
  File "installer.pyc", line 191, in registerInstallation
  File "installer.pyc", line 46, in createShortcut
  File "comtypes\client\lazybind.pyc", line 199, in __setattr__
  File "comtypes\automation.pyc", line 664, in _invoke
COMError: (-2147352571, '\x8e\xed\x97\xde\x82\xaa\x88\xea\x92v\x82\xb5\x82\xdc\x82\xb9\x82\xf1\x81B', (None, None, None, 0, None))
ERROR - gui.installerGui.doInstall (12:46:32):
Installation failed: 1

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login